# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'forecast/version'

Gem::Specification.new do |spec|
  spec.name          = "forecasted"
  spec.version       = Forecast::VERSION
  spec.authors       = ["Weston Platter"]
  spec.summary       = "A Ruby Wrapper for the HarvestForecast (unofficial) API"
  spec.homepage      = "http://github.com/westonplatter/forecasted"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.0'

  spec.add_runtime_dependency('httparty')
  spec.add_runtime_dependency('hashie')
  spec.add_runtime_dependency('json')
  spec.add_runtime_dependency('business_time')
end
